<?php
/**
 * The Faq script to navigate categories.
 *
 * Copyright 2003 Aleksandar Markovic <mikikg@ptt.yu>
 * Copyright 2003 Oblo Project <info@oblo.com>
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/faq/LICENSE.
 *
 * $Horde: faq/categories/index.php,v 1.10 2006/07/22 10:32:05 duck Exp $
 */

@define('FAQ_BASE', dirname(__FILE__) . '/..');
require_once FAQ_BASE . '/lib/base.php';

/* Only admin should be using this. */
if (!Auth::isAdmin()) {
    $notification->push(_("You are not authorised for this action."), 'horde.warning');
    Horde::authenticationFailureRedirect();
}

/* Set up the template fields. */
$title = _("Category Administration");
$template = &new Horde_Template();
$template->setoption('gettext', true);
$template->set('menu', Faq::getMenu('string'));
$template->set('tree', Util::bufferOutput(array($faq_cat, 'renderTree'), Util::getFormData('cid')));
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

require FAQ_BASE . '/templates/common-header.inc';
echo $template->fetch(FAQ_TEMPLATES . '/categories/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
