<?php
/**
 * $Horde: faq/list.php,v 1.8 2006/01/01 21:11:57 jan Exp $
 *
 * Copyright 2004-2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('FAQ_BASE', dirname(__FILE__));
require_once FAQ_BASE . '/lib/base.php';

if (($cid = Util::getGet('cid')) !== null) {
    $title = sprintf(_("Answers about: %s"), $faq_cat->getFullName($cid));
    $rows = $faq->getAll($cid, true);
} else {
    $title = _("Select Category");
    $rows = array();
}

/* Set up the template fields. */
$template = new Horde_Template();
$template->setoption('gettext', true);
$template->set('title', $title);
$template->set('menu', Faq::getMenu('string'));
$template->set('rows', $rows);
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));
$template->set('tree', Util::bufferOutput(array($faq_cat, 'renderTree'), $cid, Horde::applicationUrl('list.php'), true, false));

require FAQ_TEMPLATES . '/common-header.inc';

echo $template->fetch(FAQ_TEMPLATES . '/list.html');

require $registry->get('templates', 'horde') . '/common-footer.inc';
