<?php
/**
 * The Faq script to delete questions.
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/faq/LICENSE.
 *
 * $Horde: faq/questions/delete.php,v 1.21 2006/08/04 15:33:14 duck Exp $
 */

@define('FAQ_BASE', dirname(__FILE__) . '/..');
require_once FAQ_BASE . '/lib/base.php';

require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';
require_once 'Horde/Form.php';

/* Check permissions */
if (!Auth::isAdmin()) {
    $notification->push(_("You are not authorised for this action."), 'horde.warning');
    Horde::authenticationFailureRedirect();
}

$title = _("Are you sure you want to delete this question?");
$vars = &Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title, 'delete');
$form->setButtons(array(_("Remove"), _("Cancel")));

$id = Util::getFormData('id');
$form->addHidden('', 'id', 'text', $id);

if ($form->validate($vars) && Util::getFormData('submitbutton') == _("Remove")) {
    $result = $faq->delete($id);
    if (is_a($result, 'PEAR_Error')) {
        $notification->push($result->getMessage() . ': ' . $result->getDebugInfo(), 'horde.error');
    } else {
        $notification->push(sprintf(_("Question succesfuly deleted.")));
    }

    header('Location: ' . Horde::applicationUrl('questions/index.php'));
    exit;
}

/* Set up the template fields. */
$template = new Horde_Template();
$template->setoption('gettext', true);
$template->set('menu', Faq::getMenu('string'));
$template->set('form', Util::bufferOutput(array($form, 'renderActive'), new Horde_Form_Renderer(), $vars, 'delete.php', 'post'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

require FAQ_BASE . '/templates/common-header.inc';
echo $template->fetch(FAQ_TEMPLATES . '/questions/delete.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
