<?php
/**
 * $Horde: faq/list.php,v 1.8 2006/01/01 21:11:57 jan Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('FAQ_BASE', dirname(__FILE__) . '/../');
require_once FAQ_BASE . '/lib/base.php';

require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';
require_once 'Horde/Form.php';

$title = _("Edit");
$id = Util::getGet('id');
$cid = Util::getGet('cid');

$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title);

$form->addHidden('', 'id', 'text', $id);
$form->addVariable(_("Category"), 'cids', 'set', true, false, null, array('enum' => $faq_cat->get()));

/* Add category name fields for all languages. */
foreach ($conf['languages'] as $i => $lang) {
    $flag = (count($conf['languages']) > 1) ? Faq::getFlag($lang) . ' ' : '';
    $form->addVariable($flag . _("Question"), 'question[' . $lang . ']', 'text', ($i == 0));
    $form->addVariable($flag . _("Answer"), 'answer[' . $lang . ']', 'longtext', ($i == 0));
}

if ($form->validate($vars)) {
    $form->getInfo($vars, $info);
    $result = $faq->save($info);
    if (is_a($result, 'PEAR_Error')) {
        $notification->push($result->getMessage() . ': ' . $result->getDebugInfo(), 'horde.error');
    } else {
        $notification->push(_("Category succesfully saved."));
        header('Location: ' . Util::addParameter(Horde::applicationUrl('questions/index.php'), 'cid', current($info['cids'])));
        exit;
    }
} elseif ($id) {
    $data = $faq->getOne($id);
    $vars->set('cids', $data['cids']);
    foreach ($conf['languages'] as $lang) {
        $vars->set('question[' . $lang . ']', $data[$lang]['question']);
        $vars->set('answer[' . $lang . ']', $data[$lang]['answer']);    
    }

} elseif (!$form->isSubmitted()) {
    $vars->set('cids', array($cid));
}

/* Set up the template fields. */
$template = new Horde_Template();
$template->setoption('gettext', true);
$template->set('menu', Faq::getMenu('string'));
$template->set('form',Util::bufferOutput(array($form, 'renderActive'), new Horde_Form_Renderer(), $vars, 'edit.php', 'post'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));

require FAQ_TEMPLATES . '/common-header.inc';

echo $template->fetch(FAQ_TEMPLATES . '/questions/edit.html');

require $registry->get('templates', 'horde') . '/common-footer.inc';
