<?php
/**
 * Faq script to navigate navigate question
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/faq/LICENSE.
 *
 * $Horde: faq/items/index.php,v 1.26 2006/07/23 18:46:57 duck Exp $
 */

@define('FAQ_BASE', dirname(__FILE__) . '/..');
require_once FAQ_BASE . '/lib/base.php';

if (($cid = Util::getGet('cid')) !== null) {
    $title = sprintf(_("Answers about: %s"), $faq_cat->getFullName($cid));
    $rows = $faq->getAll($cid, true);
} else {
    $title = _("Select Category");
    $rows = array();
}

/* Check permissions */
if (!Auth::isAdmin() && ($cid && $perms->hasPermission("faq:$cid", PERMS_EDIT)) ) {
    $notification->push(_("You are not authorised for this action."), 'horde.warning');
    Horde::authenticationFailureRedirect();
}

$edit_url = Horde::applicationUrl('questions/edit.php');
$del_url = Horde::applicationUrl('questions/delete.php');
$img_dir = $registry->getImageDir('horde');

foreach ($rows as $key => $row) {
    $rows[$key]['actions'][] = Horde::link(Util::addParameter($edit_url, 'id', $row['id']), _("Edit")) . 
                                Horde::img('edit.png', _("Edit"), '', $img_dir) . '</a>';
    $rows[$key]['actions'][] = Horde::link(Util::addParameter($del_url, 'id', $row['id']), _("Delete")) . 
                                Horde::img('delete.png', _("Delete"), '', $img_dir) . '</a>';
}

/* Set up the template fields. */
$template = &new Horde_Template();
$template->setoption('gettext', true);
$template->set('menu', Faq::getMenu('string'));
$template->set('title', $title);
$template->set('notify', Util::bufferOutput(array($notification, 'notify')));
$template->set('tree', Util::bufferOutput(array($faq_cat, 'renderTree'), $cid, Horde::applicationUrl('questions/index.php'), true, true));
$template->set('rows', $rows, true);

/* Place add item link into template */
if ($cid != DATATREE_ROOT && !is_null($cid)) {
    $additem_url =  Horde::link(Util::addParameter($edit_url, 'cid', $cid), _("Add new question")) .
                    Horde::img('mkdir.png', _("Add new question")) . _("Add new question") . '</a>';
    $template->set('action', $additem_url);
} else {
    $template->set('action', _("Select Category"));
}

require FAQ_BASE . '/templates/common-header.inc';
echo $template->fetch(FAQ_TEMPLATES . '/questions/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
